﻿####################################################################################
## Scene Gallery
####################################################################################
default persistent.entered_name = False
default persistent.gallery_name = "Default Name"

label call_gallery:
    if not persistent.entered_name:
        $ persistent.gallery_name = renpy.input("Enter your name for the gallery replays:")
        $ persistent.entered_name = True
    return

image gal_bg:
    "gui/game_menu.png"
    alpha 0.2

style gal_title is text:
    size 72
    color "#fff"
    font "aleo-bold-webfont.ttf"
    align (0.555, 0.1)

style gallery_nav_vbox:
    align (0.03, 0.4)
    spacing 35

style gallery_stuff_grid:
    align (0.65, 0.6)
    xspacing 60
    yspacing 80

style gallery_stuff_hbox:
    xalign 0.5
    yanchor 0.9
    ypos 0.95
    spacing 20

screen gallery():
    tag menu
    use gallery_navigation
    text "Scene Replay Gallery" style "gal_title"
    textbutton "Unlock All Scenes":
        align (0.97, 0.85)
        action Confirm('Are you sure you want to unlock all gallery scenes?', ui.callsinnewcontext("scenegallery"))



screen gallery_navigation():
    tag menu
    add "#000000"
    add "gal_bg"

    textbutton _("Return") action Return() align (0.03, 0.95)

    vbox:
        style_prefix "gallery_nav"

        ## Add Characters
        textbutton _("Sandra") action Show("gallery_sandra")
        textbutton _("Lucy") action Show("gallery_lucy")
        textbutton _("Alice") action Show ("gallery_alice")
        textbutton _("Becca") action Show("gallery_becca")
        textbutton _("Mary") action Show("gallery_mary")
        textbutton _("Maddie") action Show("gallery_maddie")
        textbutton _("Fiona") action Show("gallery_fiona")
        textbutton _("Yvonne") action Show ("gallery_yvonne")
        textbutton _("Sun") action Show ("gallery_sun")
        textbutton _("Soo") action Show ("gallery_soo")
        textbutton _("Tanja") action Show ("gallery_tanja")
        #textbutton _("Dianna") action Show ("gallery_dianna")








screen gallery_sandra():
    tag menu
    use gallery_navigation
    default cg_page = 1

    hbox:
        style_prefix "gallery_stuff"

        ## Comment out button 2nd button if only one page
        textbutton _("1") action SetLocalVariable("cg_page", 1)
        # textbutton _("2") action SetLocalVariable("cg_page", 2)
        # textbutton _("3") action SetLocalVariable("cg_page", 3)
        # textbutton _("4") action SetLocalVariable("cg_page", 4)


    if cg_page == 1:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            imagebutton:
                action Replay ("daysixtyninesandralovetime")
                idle Transform("chapter10/day69_sandrainroomnightsmile.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter10/day69_sandrainroomnightsmile.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay ("dayseventythreesandralicktime")
                idle Transform("chapter10/day73_youlookatsandyonbedsleeping.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter10/day73_youlookatsandyonbedsleeping.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay ("dayseventyeightsandylovetime")
                idle Transform("chapter11/day78_sandyinhotelblushtalktopless.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter11/day78_sandyinhotelblushtalktopless.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay ("dayeightyfouralicesandythreesome")
                idle Transform("chapter12/day84_sandyalicestandingnakedblushsmile.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter12/day84_sandyalicestandingnakedblushsmile.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            null
            null

    elif cg_page == 2:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            null
            null
            null
            null
            null
            null

    elif cg_page == 3:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with nullif no scene
            null
            null
            null
            null
            null
            null

    elif cg_page == 4:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with nullif no scene
            null
            null
            null
            null
            null
            null


screen gallery_lucy():
    tag menu
    use gallery_navigation
    default cg_page = 1

    hbox:
        style_prefix "gallery_stuff"

        ## Comment out button 2nd button if only one page
        textbutton _("1") action SetLocalVariable("cg_page", 1)
        textbutton _("2") action SetLocalVariable("cg_page", 2)


    if cg_page == 1:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            imagebutton:
                action Replay("dayseventythreelucylovetime")
                idle Transform("chapter10/day73_lucystandsblushlook.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter10/day73_lucystandsblushlook.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay("dayeightyonelucylovetime")
                idle Transform("chapter11/day81_lucystandblushsmilelookaway.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter11/day81_lucystandblushsmilelookaway.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay("dayeightytwolucylovetime")
                idle Transform("chapter12/day82_inyourroomlucycheekysmileblush.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter12/day82_inyourroomlucycheekysmileblush.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay("dayeightythreelucylovetime")
                idle Transform("chapter12/day83_lucystandnakedsmileblush.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter12/day83_lucystandnakedsmileblush.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay("dayeightyfourlucylovetime")
                idle Transform("chapter12/day84_lucytoplessonyourlap.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter12/day84_lucytoplessonyourlap.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay("dayeightyfivelucylovetime")
                idle Transform("chapter12/day85_lucynakedinroomblushssmile.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter12/day85_lucynakedinroomblushssmile.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)

    elif cg_page == 2:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            imagebutton:
                action Replay("dayeightysixlucylovetime")
                idle Transform("chapter12/day86_lucystandblushsmile.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter12/day86_lucystandblushsmile.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay("dayeightysevenlucylovetime")
                idle Transform("chapter12/day87_lucyonbedsandysmiletalk.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter12/day87_lucyonbedsandysmiletalk.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            null
            null
            null
            null


screen gallery_alice():
    tag menu
    use gallery_navigation
    default cg_page = 1

    hbox:
        style_prefix "gallery_stuff"

        ## Comment out button 2nd button if only one page
        textbutton _("1") action SetLocalVariable("cg_page", 1)
        #textbutton _("2") action SetLocalVariable("cg_page", 2)


    if cg_page == 1:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            imagebutton:
                action Replay ("dayseventyfouralicelovetime")
                idle Transform("chapter10/day74_alicestandblushtalk.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter10/day74_alicestandblushtalk.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay ("dayseventysevenalicelovemaketime")
                idle Transform("chapter11/day77_aliceinlingeriecheeky.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter11/day77_aliceinlingeriecheeky.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay ("dayeightyfouralicesandythreesome")
                idle Transform("chapter12/day84_sandyalicestandingnakedblushsmile.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter12/day84_sandyalicestandingnakedblushsmile.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            null
            null
            null

    elif cg_page == 2:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            null
            null
            null
            null
            null
            null



screen gallery_becca():
    tag menu
    use gallery_navigation
    default cg_page = 1

    hbox:
        style_prefix "gallery_stuff"

        ## Comment out button 2nd button if only one page
        textbutton _("1") action SetLocalVariable("cg_page", 1)
        # textbutton _("2") action SetLocalVariable("cg_page", 2)


    if cg_page == 1:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            imagebutton:
                action Replay ("dayseventytwobeccalovetime")
                idle Transform("chapter10/day72_beccablushingnakedsmilenight.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter10/day72_beccablushingnakedsmilenight.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)

            imagebutton:
                action Replay("dayeightybeccalovetime")
                idle Transform("chapter11/day80_beccainlingerie.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter11/day80_beccainlingerie.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            null
            null
            null
            null


    elif cg_page == 2:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            null
            null
            null
            null
            null
            null


screen gallery_maddie():
    tag menu
    use gallery_navigation
    default cg_page = 1

    hbox:
        style_prefix "gallery_stuff"

        ## Comment out button 2nd button if only one page
        textbutton _("1") action SetLocalVariable("cg_page", 1)
        textbutton _("2") action SetLocalVariable("cg_page", 2)


    if cg_page == 1:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            imagebutton:
                action Replay ("dayseventysixmaddielovetime")
                idle Transform("chapter11/day76_maddienakedlaugh.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter11/day76_maddienakedlaugh.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay ("dayseventyninethreesome")
                idle Transform("chapter11/day79_marymaddieinlingeriesblushing.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter11/day79_marymaddieinlingeriesblushing.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay ("dayeightysevenmaddielovetime")
                idle Transform("chapter12/day87_maddiestandtalksmile2.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter12/day87_maddiestandtalksmile2.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            null
            null
            null

    elif cg_page == 2:
        grid 3 2:
            style_prefix "gallery_stuff"
            null
            null
            null
            null
            null
            null


screen gallery_mary():
    tag menu
    use gallery_navigation
    default cg_page = 1

    hbox:
        style_prefix "gallery_stuff"

        ## Comment out button 2nd button if only one page
        textbutton _("1") action SetLocalVariable("cg_page", 1)
        #textbutton _("2") action SetLocalVariable("cg_page", 2)


    if cg_page == 1:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            imagebutton:
                action Replay ("dayseventyfivemarylovetime")
                idle Transform("chapter10/day75_marylooksatyoublushtalk.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter10/day75_marylooksatyoublushtalk.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay ("dayseventyninethreesome")
                idle Transform("chapter11/day79_marymaddieinlingeriesblushing.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter11/day79_marymaddieinlingeriesblushing.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            null
            null
            null
            null


    elif cg_page == 2:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            null
            null
            null
            null
            null
            null





screen gallery_fiona():
    tag menu
    use gallery_navigation
    default cg_page = 1

    hbox:
        style_prefix "gallery_stuff"

        ## Comment out button 2nd button if only one page
        textbutton _("1") action SetLocalVariable("cg_page", 1)
        # textbutton _("2") action SetLocalVariable("cg_page", 2)


    if cg_page == 1:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            imagebutton:
                action Replay("dayseventyonefionabjbtime")
                idle Transform("chapter10/day71_youlaytherefionalooksatyousmiling.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter10/day71_youlaytherefionalooksatyousmiling.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            imagebutton:
                action Replay("dayeightythreefionalovetime")
                idle Transform("chapter12/day83_fionatoplesssmiletalk.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter12/day83_fionatoplesssmiletalk.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            null
            null
            null
            null


    elif cg_page == 2:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            null
            null
            null
            null
            null
            null


screen gallery_yvonne():
    tag menu
    use gallery_navigation
    default cg_page = 1

    hbox:
        style_prefix "gallery_stuff"

        ## Comment out button 2nd button if only one page
        #textbutton _("1") action SetLocalVariable("cg_page", 1)
        #textbutton _("2") action SetLocalVariable("cg_page", 2)


    if cg_page == 1:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            imagebutton:
                action Replay("dayeightyfiveyvonnelovetime")
                idle Transform("chapter12/day85_yvonnenakedagainstwallsandysmiletalkblush.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter12/day85_yvonnenakedagainstwallsandysmiletalkblush.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            null
            null
            null
            null
            null

    elif cg_page == 2:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            null
            null
            null
            null
            null
            null


screen gallery_sun():
    tag menu
    use gallery_navigation
    default cg_page = 1

    hbox:
        style_prefix "gallery_stuff"

        ## Comment out button 2nd button if only one page
        #textbutton _("1") action SetLocalVariable("cg_page", 1)
        #textbutton _("2") action SetLocalVariable("cg_page", 2)


    if cg_page == 1:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene

            imagebutton:
                action Replay("dayeightytwosunlovetime")
                idle Transform("chapter12/day82_sunstandofficeblushsmile.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter12/day82_sunstandofficeblushsmile.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            null
            null
            null
            null
            null

    elif cg_page == 2:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            null
            null
            null
            null
            null
            null


screen gallery_tanja():
    tag menu
    use gallery_navigation
    default cg_page = 1

    hbox:
        style_prefix "gallery_stuff"

        ## Comment out button 2nd button if only one page
        textbutton _("1") action SetLocalVariable("cg_page", 1)
        # textbutton _("2") action SetLocalVariable("cg_page", 2)


    if cg_page == 1:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            imagebutton:
                action Replay ("dayseventyfivetanjafucktime")
                idle Transform("chapter10/day75_tanjapetsmile.webp", zoom=0.2)
                hover Transform(im.MatrixColor("chapter10/day75_tanjapetsmile.webp", im.matrix.brightness(0.15)), zoom=0.2)
                insensitive Transform("locked", zoom=0.2)
            null
            null
            null
            null
            null

    elif cg_page == 2:
        grid 3 2:
            style_prefix "gallery_stuff"

            null
            null
            null
            null
            null
            null


screen gallery_dianna():
    tag menu
    use gallery_navigation
    default cg_page = 1

    hbox:
        style_prefix "gallery_stuff"

        ## Comment out button 2nd button if only one page
        #textbutton _("1") action SetLocalVariable("cg_page", 1)
        #textbutton _("2") action SetLocalVariable("cg_page", 2)


    if cg_page == 1:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            null
            null
            null
            null
            null
            null

    elif cg_page == 2:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## There always needs to be 6 elements. Replace with null if no scene
            null
            null
            null
            null
            null
            null
screen gallery_soo():
    tag menu
    use gallery_navigation
    default cg_page = 1
    hbox:
        style_prefix "gallery_stuff"
        ## Comment out button 2nd button if only one page
        #textbutton _("1") action SetLocalVariable("cg_page", 1)

    if cg_page == 1:
        grid 3 2:
            style_prefix "gallery_stuff"

            ## there always needs to be 6 blabla
            null
            null
            null
            null
            null
            null






label scenegallery:

    python:
        persistent._seen_ever["daysixtyninesandralovetime"] = True
        persistent._seen_ever["dayseventyonefionabjbtime"] = True
        persistent._seen_ever["dayseventytwobeccalovetime"] = True
        persistent._seen_ever["dayseventythreesandralicktime"] = True
        persistent._seen_ever["dayseventythreelucylovetime"] = True
        persistent._seen_ever["dayseventyfouralicelovetime"] = True
        persistent._seen_ever["dayseventyfivemarylovetime"] = True
        persistent._seen_ever["dayseventyfivetanjafucktime"] = True
        persistent._seen_ever["dayseventysixmaddielovetime"] = True
        persistent._seen_ever["dayseventyfouralicelovetime"] = True
        persistent._seen_ever["dayseventyeightsandylovetime"] = True
        persistent._seen_ever["dayeightybeccalovetime"] = True
        persistent._seen_ever["dayeightyonelucylovetime"] = True
        persistent._seen_ever["dayeightytwolucylovetime"] = True
        persistent._seen_ever["dayeightytwosunlovetime"] = True
        persistent._seen_ever["dayeightythreefionalovetime"] = True
        persistent._seen_ever["dayeightythreelucylovetime"] = True
        persistent._seen_ever["dayeightyfourlucylovetime"] = True
        persistent._seen_ever["dayeightyfouralicesandythreesome"] = True
        persistent._seen_ever["dayeightyfivelucylovetime"] = True
        persistent._seen_ever["dayeightyfiveyvonnelovetime"] = True
        persistent._seen_ever["dayeightysevenmaddielovetime"] = True
        persistent._seen_ever["dayeightysixlucylovetime"] = True

    "Success - All scene gallery scenes unlocked!"
    return
